
#include "RtObj.h"
#include <TObjArray.h>
#include <TString.h>
#include <TROOT.h>
#include <TFile.h>
#include <iostream>

int main()
 {
  // begin
  TROOT rdummy("dummy","dummy") ;
  TFile * file ;

  // write
  file =  new TFile("Temp.root","recreate") ;
  RtObj<TString> obj("hello") ;
  obj.Write("obj") ;
  TObjArray array ;
  array.AddLast( new RtObj<TString>("world") ) ;
  array.Write("array",TObject::kSingleKey) ;
  file->Close() ;
  delete file ;

  // read
  file =  new TFile("Temp.root","read") ;
  RtObj<TString> * pobj = (RtObj<TString> *)(file->Get("obj")) ;
  cout<<*pobj<<endl ;
  TObjArray * parray = (TObjArray *)(file->Get("array")) ;
  cout<<*((RtObj<TString> *)((*parray)[0]))<<endl ;
  file->Close() ;
  delete file ;

  // end
  return 0 ;
 }
